

/*** FORM LAYOUT ***/

 
input, img, button { vertical-align: middle; }

input, select, textarea {
	padding: 5px 7px;
	overflow: visible;
	height: auto;
    border: 1px solid #B2ABA2;
    margin: 3px 0 5px 0;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
}

input[type='image'] { border: none; margin: 0; padding: 0;}
input[type='checkbox'] { border: none; background: none; margin: 10px 0; padding: 0;}
input[type='radio'] { border: none; background: none; margin: 10px 0; padding: 0}
select { border: 1px solid #B2ABA2; background: white; margin: 5px 0; }
textarea {
	/*
	-webkit-box-shadow: 0 0 4px 0px rgba(0, 0, 0, 0.25) inset;
	-moz-box-shadow: 0 0 4px 0px rgba(0, 0, 0, 0.25) inset;
	box-shadow: 0 0 4px 0px rgba(0, 0, 0, 0.25) inset;
	*/
}

/*jquery button fixes*/
.ui-button-text { padding: 0px !important;}
button.ui-button, a.ui-state-default {background: #FFF; }
/*
input[type="text"]:focus, select:focus, textarea:focus, .k-picker-wrap.k-state-focused, .k-numeric-wrap.k-state-focused {
    border-color: #FF9900 !important;
    border-width: 1px;
}*/

input[type='button'] {cursor: pointer;}

input.button-ulozit,
input.button-zpet,
input.button-kontrola-stavu,
a.ui-button, button.ui-button {
	background-color: #ebe5dd;
	/*border: 1px solid #FFFFFF;*/
	display: inline-block;
	color: #000;
	padding: 6px 12px; margin: 5px 0;
	text-decoration: none;
	/*text-shadow: 1px 1px 0px #FFF;*/
	width: auto;
    cursor: pointer;
	/*-webkit-box-shadow: 0 0 4px 0px rgba(0, 0, 0, 0.75) inset;*/
	-moz-box-shadow: 0 0 4px 0px rgba(0, 0, 0, 0.75) inset;
	/*box-shadow: 0 0 4px 0px rgba(0, 0, 0, 0.75) inset;*/
	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	border-radius: 6px;
    vertical-align: top;
}

/*.button-action { background-color: #c0843f !important; color: #FFF !important;  text-shadow: 1px 1px 0 #000 !important; }
.button-back { background-color: #8f8f8f !important; color: #FFF !important;  text-shadow: 1px 1px 0 #000 !important; }
.button-other  { background-color: #4068A9 !important; color: #FFF !important;  text-shadow: 1px 1px 0 #000 !important; }*/

a.ui-button:hover, button.ui-button:hover { background: #FFF; color: #000;  text-shadow: 1px 1px 0 #FFF; }

/*.button-action:hover { background-color: rgb(247, 187, 119) !important; color: #FFF !important;  text-shadow: 1px 1px 0 #000 !important; }
.button-back:hover { background-color: #ddd !important; color: #FFF !important;  text-shadow: 1px 1px 0 #000 !important; }
.button-other:hover  { background-color: rgb(146, 181, 238) !important; color: #FFF !important;  text-shadow: 1px 1px 0 #000 !important; }*/


fieldset {
	margin: 0 5px 10px 0;
	padding: 10px;
	border: 1px solid #B2ABA2;
	background: #eaeaea;

	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	border-radius: 6px;
}
legend {
	padding: 4px 7px;
	margin: 0 0 5px 0;
	background: #FFF;
	border: 1px solid #B2ABA2;

	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
}
label {
	padding: 10px 0;
}
label.popisekPole {
	vertical-align: middle;
	padding: 5px 0 0 0;
	display: block;
	font-style: italic;
}

[disabled], [readonly] {
	border: 1px dashed #bababa;
	background: #efefef;
	color: #a0a0a0;
	text-shadow: 1px 1px 0 #FFF;
}

.checkListOption {
	margin: 10px; padding: 0;
	display: inline-block;
}
.checkListOption label {
	float: none;
	display: inline;
	padding: 0;
	font-style: normal;
}
.checkListOption dt { }
.checkListOption dd { margin: 0 10px 5px 5px; }
.checkListOption input[type='checkbox'] {
	margin: 1px 8px 0 0;
	padding: 0;
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	border-radius: 0;
}
.checkListOption input[type='radio'] { margin: 0 5px 0 0; padding: 0; }


.fieldGraphic, div.formCell {
	/*background: #D5CDBC;*/
	/*padding: 0.3% 0.8%;*/

	-webkit-border-radius: 6px;
	-moz-border-radius: 6px;
	border-radius: 6px;
}

.fieldGraphic input { width: 95%; }
.fieldGraphic textarea { width: 95%; }
.fieldGraphic select { width: 98%; }
.fieldGraphic .selector-collection, .fieldGraphic .selector-with-values, .fieldGraphic .selector { width: 94%; margin: 3px 0 2px 0; }
.fieldGraphic .k-datepicker, .fieldGraphic .k-numerictextbox  { width: 97%; }
.fieldGraphic .k-datepicker input.k-input, .fieldGraphic .k-numerictextbox input.k-input { height:22px;border-width: 0px !important; }
.fieldGraphic .k-numerictextbox .k-numeric-wrap { height: 28px; }
.fieldGraphic input.k-input { -moz-box-shadow: none !important; -webkit-box-shadow: none!important; box-shadow: none!important; }
.fieldGraphic div.clear {clear:both;}
.fieldGraphic dt input {float: left;width: auto!important; }
.fieldGraphic input[type="checkbox"], .fieldGraphic input[type='radio'] {margin-left: 10px; width: auto!important;}

.k-grid table tbody tr:hover { background-color: #666; color: #FFF !important;  text-shadow: 1px 1px 0 #000; }
.k-grid td { padding: 0em 0.6em !important; }

.fieldGraphic .textField {
    width: 96%;
    min-height: 15px;
    _height: 15px;
    background: #F2F2F2;
    padding: 5px 7px;
    margin: 5px 0;

	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
}

div.formCell {
    margin: 0 1% 1% 0;
}

fieldset {
    background: #D5CDBC;
}

.fourColumn .fieldGraphic { float:left; }
.fourColumn .fieldGraphic:nth-child(4n+1) { margin: 0 2% 0% 0; width: 23%; clear: both; }
.fourColumn .fieldGraphic:nth-child(4n+2) { margin: 0 2% 0% 0; width: 23%; }
.fourColumn .fieldGraphic:nth-child(4n+3) { margin: 0 2% 0% 0; width: 23%; }
.fourColumn .fieldGraphic:nth-child(4n+0) { margin: 0 0 0% 0; width: 23%;}

.threeColumn .fieldGraphic { float:left; }
.threeColumn .fieldGraphic:nth-child(3n+1) { margin: 0 2% 0% 0; width: 31.3%; clear: both; }
.threeColumn .fieldGraphic:nth-child(3n+2) { margin: 0 2% 0% 0; width: 31.3%; }
.threeColumn .fieldGraphic:nth-child(3n+0) { margin: 0 0 0% 0; width: 31.3%;}

.twoColumn .fieldGraphic { float:left; }
.twoColumn .fieldGraphic:nth-child(2n+1) { margin: 0 2% 0% 0; width: 48%; clear: both; }
.twoColumn .fieldGraphic:nth-child(2n+0) { margin: 0 0% 0% 0; width: 48%; }

.oneColumn .fieldGraphic { margin: 0 0 0% 0; width: 98%; clear: both; }


.threeColumn .fieldGraphic .selector-collection, .threeColumn .fieldGraphic .selector-with-values, .threeColumn .fieldGraphic .selector { width: 90%; }
.fourColumn .fieldGraphic .selector-collection, .fourColumn .fieldGraphic .selector-with-values, .fourColumn .fieldGraphic .selector { width: 90%; }














